summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2019-02-12 17:34:34 +0100
committerManuel Rüger <mrueg@gentoo.org>2019-02-12 17:34:34 +0100
commit55c839a863f2e4770b3762bd058e1144da1d7832 (patch)
tree7a0114f222e39a99f7ae802ce7bcba429e053bc9
parentsys-cluster/kubectl: Version bump to 1.13.3 (diff)
downloadgentoo-55c839a863f2e4770b3762bd058e1144da1d7832.tar.gz
gentoo-55c839a863f2e4770b3762bd058e1144da1d7832.tar.bz2
gentoo-55c839a863f2e4770b3762bd058e1144da1d7832.zip
sys-cluster/kubelet: Version bump to 1.13.3
Add systemd unitfile from https://github.com/kubernetes/contrib/tree/master/init/systemd Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Manuel Rüger <mrueg@gentoo.org>
-rw-r--r--sys-cluster/kubelet/Manifest1
-rw-r--r--sys-cluster/kubelet/files/kubelet.env17
-rw-r--r--sys-cluster/kubelet/files/kubelet.service24
-rw-r--r--sys-cluster/kubelet/kubelet-1.13.3.ebuild47
4 files changed, 89 insertions, 0 deletions
diff --git a/sys-cluster/kubelet/Manifest b/sys-cluster/kubelet/Manifest
index ee6a1ac2c1e..81a270b8460 100644
--- a/sys-cluster/kubelet/Manifest
+++ b/sys-cluster/kubelet/Manifest
@@ -6,4 +6,5 @@ DIST kubernetes-1.12.3.tar.gz 28042821 BLAKE2B 79c2020608e4e94532b2d525c2c68dfbf
DIST kubernetes-1.12.4.tar.gz 28064009 BLAKE2B 96cb269796628cde2665cb17bd6918d51a8d2cdebdaf75c65e352beebf7da4bee5da311ddf93931250471e46dd30dbd238727716542c688f364b1f14578d9146 SHA512 f7135a2dd7dac19512db13c0e72264b32c07f4a2f9fbc3573e31fa346415c99738446bd48463c3dd9bee3a716e040dd0c9e681c970603507649eefceca5926d7
DIST kubernetes-1.12.5.tar.gz 28128559 BLAKE2B add647a579e75e877552fbde0800064d9170022619e236e9d280dc17f245adc8218458e12d0c7643a2a105c988ae7a4fa0176e19cc56989c54eb7edebd8d9dfc SHA512 bb391858b040fd75b03f5dcaf7e7f1b776d288443a833412c34c2fea8bbf23a8b76c4dd89da0b6fbd6ebfc1172407620aef8d8c5873b6f103dd118817dc17ad6
DIST kubernetes-1.13.1.tar.gz 28715812 BLAKE2B f51d456264348cc89aa00b6bbda2c90acfc881ff9d9ff80af77a405c3cf302626e8be96c3bec1f7f3f4df3250e48d02778c1918320484acb7827e8f411ab4bda SHA512 95a5558c9ae2b1e8207d76157f4f52d17236c6aa315ca4c7cac0f18fbe59b061156c05a5d886321b589a6cb675c142754e48f9e0ca7e966116749a32120e92c7
+DIST kubernetes-1.13.3.tar.gz 28781320 BLAKE2B 7ae1a6ddeff5b8d19bacc868ad5970cc8ea81239f1ce709207e321ab97c0f155c6c363b3b0f9af25f6e6ce68d99678cf2b10c841a45f082f486bd9dee7be5e3a SHA512 45c2639a88e04d16511c92ca48ca6326b12422f0765df92fb883a1afe7fda9adefcf111d76855532f69b48c6e681774ee0c7e08f74594de808b50e11f8ec52c5
DIST kubernetes-1.9.11.tar.gz 23606810 BLAKE2B 19d30d2cadaf5b95f919e82670b1a8e1d5e2b80a4134dbc5c6afcc23d06dee8392f63d80b59ebfbbbf3a4bcce0dc2d81b1d560c3b3b1910350efed35ee77fbbc SHA512 87881d7dd7e0b3e46dc92f3160410fdf9e7ec1f0cbc3ef99da84b808c3813a3a2d843d49e2b501ee3eb8c9db3564f62c72eecaf5dc1917051e81c106bc80a9ba
diff --git a/sys-cluster/kubelet/files/kubelet.env b/sys-cluster/kubelet/files/kubelet.env
new file mode 100644
index 00000000000..a623673960f
--- /dev/null
+++ b/sys-cluster/kubelet/files/kubelet.env
@@ -0,0 +1,17 @@
+###
+# kubernetes kubelet (minion) config
+
+# The address for the info server to serve on (set to 0.0.0.0 or "" for all interfaces)
+KUBELET_ADDRESS="--address=127.0.0.1"
+
+# The port for the info server to serve on
+# KUBELET_PORT="--port=10250"
+
+# You may leave this blank to use the actual hostname
+KUBELET_HOSTNAME="--hostname-override=127.0.0.1"
+
+# Edit the kubelet.kubeconfig to have correct cluster server address
+KUBELET_KUBECONFIG=/etc/kubernetes/kubelet.kubeconfig
+
+# Add your own!
+KUBELET_ARGS="--cgroup-driver=systemd --fail-swap-on=false"
diff --git a/sys-cluster/kubelet/files/kubelet.service b/sys-cluster/kubelet/files/kubelet.service
new file mode 100644
index 00000000000..1082bbac1d0
--- /dev/null
+++ b/sys-cluster/kubelet/files/kubelet.service
@@ -0,0 +1,24 @@
+[Unit]
+Description=Kubernetes Kubelet Server
+Documentation=https://kubernetes.io/docs/concepts/overview/components/#kubelet https://kubernetes.io/docs/reference/generated/kubelet/
+After=docker.service
+Requires=docker.service
+
+[Service]
+WorkingDirectory=/var/lib/kubelet
+EnvironmentFile=-/etc/kubernetes/config
+EnvironmentFile=-/etc/kubernetes/kubelet
+ExecStart=/usr/bin/kubelet \
+ $KUBE_LOGTOSTDERR \
+ $KUBE_LOG_LEVEL \
+ $KUBELET_KUBECONFIG \
+ $KUBELET_ADDRESS \
+ $KUBELET_PORT \
+ $KUBELET_HOSTNAME \
+ $KUBE_ALLOW_PRIV \
+ $KUBELET_ARGS
+Restart=on-failure
+KillMode=process
+
+[Install]
+WantedBy=multi-user.target
diff --git a/sys-cluster/kubelet/kubelet-1.13.3.ebuild b/sys-cluster/kubelet/kubelet-1.13.3.ebuild
new file mode 100644
index 00000000000..f38ce59e625
--- /dev/null
+++ b/sys-cluster/kubelet/kubelet-1.13.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot systemd
+
+EGO_PN="k8s.io/kubernetes"
+ARCHIVE_URI="https://github.com/kubernetes/kubernetes/archive/v${PV}.tar.gz -> kubernetes-${PV}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Kubernetes Node Agent"
+HOMEPAGE="https://github.com/kubernetes/kubernetes https://kubernetes.io"
+SRC_URI="${ARCHIVE_URI}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="hardened"
+
+DEPEND="dev-go/go-bindata
+ >=dev-lang/go-1.11"
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+ sed -i -e "/vendor\/github.com\/jteeuwen\/go-bindata\/go-bindata/d" -e "s/-s -w/-w/" src/${EGO_PN}/hack/lib/golang.sh || die
+ sed -i -e "/export PATH/d" src/${EGO_PN}/hack/generate-bindata.sh || die
+}
+
+src_compile() {
+ export CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')"
+ LDFLAGS="" GOPATH="${WORKDIR}/${P}" emake -j1 -C src/${EGO_PN} WHAT=cmd/${PN} GOFLAGS=-v
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dobin _output/bin/${PN}
+ popd || die
+ keepdir /etc/kubernetes/manifests /var/log/kubelet /var/lib/kubelet
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/${PN}.logrotated ${PN}
+ systemd_dounit "${FILESDIR}"/${PN}.service
+ insinto /etc/kubernetes
+ newins "${FILESDIR}"/${PN}.env ${PN}.env
+}